Bug Hunting Session
Bug 91575 - CRASH: when "My Macros & Dialogs Standard" window close
Summary: CRASH: when "My Macros & Dialogs Standard" window close
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: Other All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.0.0.beta2
Keywords: haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-24 12:32 UTC by sawakaze
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
"My Macros & Dialogs Standard" window (104.38 KB, image/png)
2015-05-24 12:32 UTC, sawakaze
Details
WinDbg backtrace (26.53 KB, text/plain)
2015-05-24 12:45 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-05-24 12:32:05 UTC
Created attachment 115965 [details]
"My Macros & Dialogs Standard" window

Hi 

After following step, crash libreoffice.
1, Tools > Macro > Organaize Dialogs 
2. Select dialog and press edit.

-> launched "My Macros & Dialogs Standard" window.
(see attachment. the capture is "My Macros & Dialogs Standard" window) 

3. close My Macros & Dialogs Standard" window.
--> Crash

env.
OS : Linux
Desktop : MATE
Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Comment 1 pierre-yves samyn 2015-05-24 12:45:35 UTC
Hi

Reproduced on windows 7/64 & Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: fr-FR (fr_FR)

Also reproduced with Version: 5.1.0.0.alpha1+
Build ID: 891304bb0ad3af9d8d73f947f25477abf57485a4
TinderBox: Win-x86@39, Branch:master, Time: 2015-05-24_00:17:01
Locale: fr-FR (fr_FR)

I set status to New & join a windbg backtrace

Regards
Pierre-Yves
Comment 2 pierre-yves samyn 2015-05-24 12:45:59 UTC
Created attachment 115966 [details]
WinDbg backtrace
Comment 3 Julien Nabet 2015-05-24 17:09:33 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.

I noticed this on console logs:
warn:legacy.tools:760:1:toolkit/source/awt/vclxtoolkit.cxx:1231: createWindow: Unknown Component!
warn:legacy.osl:760:1:vcl/source/window/window.cxx:271: Window ( N6basctl18DialogWindowLayoutE ()) with live children destroyed:  8Splitter ()
Comment 4 Commit Notification 2015-05-26 10:44:12 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbca69b975ea8b25c040f12441d70f90cf0e9ab4

tdf#91575 - CRASH: when "My Macros & Dialogs Standard" window close

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-05-26 15:09:05 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3f5ce7de7cdc3d010738e4cffbe28b3b73676f5a&h=libreoffice-5-0

tdf#91575 - CRASH: when "My Macros & Dialogs Standard" window close

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Julien Nabet 2015-05-28 05:34:52 UTC
On pc Debian x86-64 with master sources udpated yesterday, be01d68420086fc36ecf26b5f597ba7c6b29b369, I don't reproduce this.

Thank you for the fix! :-)